package com.bonus.material.work.mapper;


import com.bonus.common.biz.domain.lease.LeaseApplyInfo;
import com.bonus.material.lease.domain.LeaseApplyDetails;
import com.bonus.material.ma.domain.DirectApplyInfo;
import com.bonus.material.ma.domain.Type;
import com.bonus.material.work.domain.DirectAudit;
import com.bonus.material.work.domain.SysWorkflowRecord;

import java.util.List;

/**
* @description  业务办理--领用任务
* @author hay
* @date   2025/2/17 13:18
*/
public interface DirectAuditMapper {


    List<DirectApplyInfo> getList(DirectApplyInfo directApplyInfo);



    List<DirectAudit> getAuditInfo(DirectAudit du);

    void updateWorkflowRecord(DirectAudit fr);

    void updateDirectAudit(DirectApplyInfo directApplyInfo);
}
